org.apache.tapestry5.upload.services

## Interface MultipartDecoder

- All Known Implementing Classes:
    MultipartDecoderImpl

      public interface MultipartDecoder

  Responsible for detecting and processing file upload requests, using Jakarta Commons FileUpload. Implementations of this service typically use the threaded service lifecycle model.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpServletRequest` | `decode(HttpServletRequest request)` Decodes the request, returning a new `HttpServletRequest` implementation that will allow access to the form fields submitted in the request (but omits uploaded files).
    `UploadedFile` | `getFileUpload(String parameterName)`
    `org.apache.commons.fileupload.FileUploadException` | `getUploadException()` Returns the exception the occured during the file upload, or null if the processing of the multipart upload stream was succesful.

- - ### Method Detail

    - #### getFileUpload

          UploadedFile getFileUpload(String parameterName)

      Parameters:
        `parameterName` - Name of the query parameter associated with the uploaded file
      Returns:
        a file upload with the given name, or null if no such file upload was in the request.

    - #### decode

          HttpServletRequest decode(HttpServletRequest request)

      Decodes the request, returning a new `HttpServletRequest` implementation that will allow access to the form fields submitted in the request (but omits uploaded files).
      Parameters:
        `request` - The incoming servlet request
      Returns:
        decoded http request

    - #### getUploadException

          org.apache.commons.fileupload.FileUploadException getUploadException()

      Returns the exception the occured during the file upload, or null if the processing of the multipart upload stream was succesful.

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.